
# Install FlexLM license tools
# 
class flexlm::client {

    file { "/usr/local/bin/lmutil":
        ensure => present,
        source => "puppet:///files/packages/lmutil-${lmutil_package_latest}.${::architecture}.${::kernel}",
        mode   => "0755",
        owner  => "root",
        group  => "root",
    }

    file { [
      "/usr/local/bin/lmborrow",
      "/usr/local/bin/lmcksum",
      "/usr/local/bin/lmdiag",
      "/usr/local/bin/lmdown",
      "/usr/local/bin/lmhostid",
      "/usr/local/bin/lminstall",
      "/usr/local/bin/lmnewlog",
      "/usr/local/bin/lmpath",
      "/usr/local/bin/lmremove",
      "/usr/local/bin/lmreread",
      "/usr/local/bin/lmstat",
      "/usr/local/bin/lmswitch",
      "/usr/local/bin/lmver",
    ]:  
        ensure  => link,
        target  => "lmutil",
        owner   => "root",
        group   => "root",
        require => File["/usr/local/bin/lmutil"],
    }

}
